My Project: dgGoogol Class Reference

My Project

Public Member Functions | Static Public Attributes | List of all members
dgGoogol Class Reference

`#include <dgGoogol.h>`

## Public Member Functions

| dgGoogol (void)
| dgGoogol (dgFloat64 value)
| operator double () const
dgGoogol | operator+ (const dgGoogol &A) const
dgGoogol | operator- (const dgGoogol &A) const
dgGoogol | operator* (const dgGoogol &A) const
dgGoogol | operator/ (const dgGoogol &A) const
dgGoogol | operator+= (const dgGoogol &A)
dgGoogol | operator-= (const dgGoogol &A)
bool | operator> (const dgGoogol &A) const
bool | operator>= (const dgGoogol &A) const
bool | operator< (const dgGoogol &A) const
bool | operator<= (const dgGoogol &A) const
bool | operator== (const dgGoogol &A) const
bool | operator!= (const dgGoogol &A) const
dgGoogol | Abs () const
dgGoogol | Sqrt () const
dgGoogol | InvSqrt () const
dgGoogol | Floor () const
void | Trace () const
void | ToString (char *const string) const

## Static Public Attributes

static dgGoogol | m_zero
static dgGoogol | m_one
static dgGoogol | m_two
static dgGoogol | m_three
static dgGoogol | m_half

## Constructor & Destructor Documentation

## § dgGoogol() [1/2]

dgGoogol::dgGoogol | ( | void |  | ) |

## § dgGoogol() [2/2]

dgGoogol::dgGoogol | ( | dgFloat64 | value | ) |

## Member Function Documentation

## § Abs()

dgGoogol dgGoogol::Abs | ( |  | ) | const

## § Floor()

dgGoogol dgGoogol::Floor | ( |  | ) | const

## § InvSqrt()

dgGoogol dgGoogol::InvSqrt | ( |  | ) | const

## § operator double()

dgGoogol::operator double | ( |  | ) | const

## § operator!=()

bool dgGoogol::operator!= | ( | const dgGoogol & | A | ) | const

## § operator*()

dgGoogol dgGoogol::operator* | ( | const dgGoogol & | A | ) | const

## § operator+()

dgGoogol dgGoogol::operator+ | ( | const dgGoogol & | A | ) | const

## § operator+=()

dgGoogol dgGoogol::operator+= | ( | const dgGoogol & | A | ) |

## § operator-()

dgGoogol dgGoogol::operator- | ( | const dgGoogol & | A | ) | const

## § operator-=()

dgGoogol dgGoogol::operator-= | ( | const dgGoogol & | A | ) |

## § operator/()

dgGoogol dgGoogol::operator/ | ( | const dgGoogol & | A | ) | const

## § operator<()

bool dgGoogol::operator< | ( | const dgGoogol & | A | ) | const

## § operator<=()

bool dgGoogol::operator<= | ( | const dgGoogol & | A | ) | const

## § operator==()

bool dgGoogol::operator== | ( | const dgGoogol & | A | ) | const

## § operator>()

bool dgGoogol::operator> | ( | const dgGoogol & | A | ) | const

## § operator>=()

bool dgGoogol::operator>= | ( | const dgGoogol & | A | ) | const

## § Sqrt()

dgGoogol dgGoogol::Sqrt | ( |  | ) | const

## § ToString()

void dgGoogol::ToString | ( | char *const | string | ) | const

## § Trace()

void dgGoogol::Trace | ( |  | ) | const

## Member Data Documentation

## § m_half

dgGoogol dgGoogol::m_half

static

## § m_one

dgGoogol dgGoogol::m_one

static

## § m_three

dgGoogol dgGoogol::m_three

static

## § m_two

dgGoogol dgGoogol::m_two

static

## § m_zero

dgGoogol dgGoogol::m_zero

static

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/core/dgGoogol.h
- dynamics.mod/NewtonDynamics/source/core/dgGoogol.cpp